// musedefs.pas - Muse specific definitions.
//
//     Copyright(c) 2008 PT2K <PT2K@mymail.to>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

unit MuseDefs;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

{ MuseOption }

type
  TMuseOption = (moA, moE, moF, moI, moM, moP, moR, moS, moT, moX);

  TMuseOptions = set of TMuseOption;

const
  MuseOptionStrs: array[TMuseOption] of String
    = ('*a', '*e', '*f', '*i', '*m', '*p', '*r', '*s', '*t', '*x');

  MuseOptionMenuCaptions: array[TMuseOption] of String = (
    '*a (Flip automatically)'     ,
    '*e (Exit after performance)' ,
    '*f (Finger meter dialog)'    ,
    '*i (Minimize)'               ,
    '*m (Member color dialog)'    ,
    '*p (Start performance)'      ,
    '*r (Repeat)'                 ,
    '*s (Score monitor)'          ,
    '*t (Stay on top)'            ,
    '*x (Inhibit multi-activation)'
  );

function GetMuseOptionStr(Opt: TMuseOption): String;

{$IFDEF WINDOWS}
const
  MuseDefaultPath = 'C:\Program Files\Muse\muse.exe';
{$ENDIF}

implementation

function GetMuseOptionStr(Opt: TMuseOption): String;
begin
  {$IFDEF WINDOWS}
  Result := MuseOptionStrs[Opt];
  {$ELSE}
  Result := '"' + MuseOptionStrs[Opt] + '"';
  {$ENDIF}
end;

end.
